#ifndef __HMI_SERVER_H__
#define __HMI_SERVER_H__
#include "nanomodbus.h"
#include "bsp_misc.h"
#include "pm_common.h"
#include "mb_command.h"

typedef struct{
    mb_command_t cmd;
}hmi_server_t;

int hmi_server_handler_register(hmi_server_t *hmi, mb_cmd_handler_t *handler);

int hmi_server_init(hmi_server_t *hmi);

int hmi_server_start(void);

#endif /* __MB_SERVER_H__ */
